<?php
/*
Plugin Name: Comment on Albums
Version: 0.1.a
Description: Allows users to comment albums
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=512
Author: Mistic
Author URI: http://www.strangeplanet.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

// +-----------------------------------------------------------------------+
//					Global variables
// +-----------------------------------------------------------------------+
define('COA_NAME' , 'Comment on Albums');
define('COA_VERSION', '0.1.a');
define('COA_DIR' , basename(dirname(__FILE__)));
define('COA_PATH' , PHPWG_PLUGINS_PATH . COA_DIR . '/');
define('COA_TABLE' , $prefixeTable . 'comments_categories');


// +-----------------------------------------------------------------------+
//					Triggers
// +-----------------------------------------------------------------------+
add_event_handler('loc_end_index', 'COA_index');
add_event_handler('loc_end_admin', 'COA_admin');


// +-----------------------------------------------------------------------+
//					Fonctions
// +-----------------------------------------------------------------------+

function COA_index() {
	global $template, $page, $conf;
	
	if ($page['section'] == 'categories' AND isset($page['category'])) {	
		include(COA_PATH . 'include/coa_albums.php');
	}
}

function COA_admin() {
	global $template, $page, $conf;
	
	if ($page['page'] == 'comments') {	
		include(COA_PATH . 'include/coa_admin_comments.php');
	} else if ($page['page'] == 'intro') {	
		include(COA_PATH . 'include/coa_admin_intro.php');
	} 
}

?>